Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze
Class ENLOCLinkBehaviour

    java.lang.Object
      ubmatrix.xbrl.domain.xbrl21Domain.behavior.src.LinkBehavior
          es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze.ENLOCLinkBehaviour

    public class ENLOCLinkBehaviour

extends ubmatrix.xbrl.domain.xbrl21Domain.behavior.src.LinkBehavior

Esta clase contiene las funcionaliades necesarias para gestionar la creación de elementos de tipo link.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ENLOCLinkBehaviour()` Constructor por defecto

Method Summary
`static ubmatrix.xbrl.common.src.IXbrlDomain` | `createArcWithSingleConceptAsEnd(ubmatrix.xbrl.common.src.IXbrlDomain linkDO, ubmatrix.xbrl.common.src.IDTS linkDts, ubmatrix.xbrl.common.src.IXbrlDomain conceptDO, ubmatrix.xbrl.common.src.IXbrlDomain arcRole, ubmatrix.xbrl.common.src.IXbrlDomain role, java.lang.String language, java.lang.String text, java.lang.String title, java.lang.String order)` Crea un arc para un link
`static ubmatrix.xbrl.common.src.IXbrlDomain` | `createLocator(ubmatrix.xbrl.common.src.IXbrlDomain linkDO, ubmatrix.xbrl.common.src.IDTS linkDts, ubmatrix.xbrl.common.src.IXbrlDomain conceptDO)` Crea un objeto locator en un link.
`static ubmatrix.xbrl.common.src.IXbrlDomain` | `createResource(ubmatrix.xbrl.common.src.IXbrlDomain linkDO, ubmatrix.xbrl.common.src.IDTS linkDts, ubmatrix.xbrl.common.src.IXbrlDomain conceptDO, ubmatrix.xbrl.common.src.IXbrlDomain role, java.lang.String language, java.lang.String text)` Crea un label resource sobre un link

Methods inherited from class ubmatrix.xbrl.domain.xbrl21Domain.behavior.src.LinkBehavior
`createArc, createArcWithBothConceptAsEnds, createArcWithSingleConceptAsEnd, createOverrideLocator, createProhibitArcWithSingleConceptAsEnd, removeArc, removeResource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCLinkBehaviour

    public ENLOCLinkBehaviour()

  Constructor por defecto

Method Detail

### createLocator

    public static ubmatrix.xbrl.common.src.IXbrlDomain createLocator(ubmatrix.xbrl.common.src.IXbrlDomain linkDO,
                                                                     ubmatrix.xbrl.common.src.IDTS linkDts,
                                                                     ubmatrix.xbrl.common.src.IXbrlDomain conceptDO)
                                                              throws java.lang.Exception

  Crea un objeto locator en un link.

  Parameters:
    `linkDO` - Objeto dominio del link
    `linkDts` - link dts
    `conceptDO` - Concepto al que se hace referencia en el locator que se pretende crear.
  Returns:
    Objeto del tipo IXbrlDomain
  Throws:
    `java.lang.Exception`

### createResource

    public static ubmatrix.xbrl.common.src.IXbrlDomain createResource(ubmatrix.xbrl.common.src.IXbrlDomain linkDO,
                                                                      ubmatrix.xbrl.common.src.IDTS linkDts,
                                                                      ubmatrix.xbrl.common.src.IXbrlDomain conceptDO,
                                                                      ubmatrix.xbrl.common.src.IXbrlDomain role,
                                                                      java.lang.String language,
                                                                      java.lang.String text)
                                                               throws java.lang.Exception

  Crea un label resource sobre un link

  Parameters:
    `linkDO` - link domain object
    `linkDts` - dts al que pertenece el link
    `conceptDO` - concepto asociado al resource
    `role` - rol del recurso, por ejemplo, label, o documentación
    `language` - idioma del resource, por ejemplo: xml:lang="en"
    `text` - el label del texto
  Returns:
    Objeto del tipo IXbrlDomain
  Throws:
    `java.lang.Exception`

### createArcWithSingleConceptAsEnd

    public static ubmatrix.xbrl.common.src.IXbrlDomain createArcWithSingleConceptAsEnd(ubmatrix.xbrl.common.src.IXbrlDomain linkDO,
                                                                                       ubmatrix.xbrl.common.src.IDTS linkDts,
                                                                                       ubmatrix.xbrl.common.src.IXbrlDomain conceptDO,
                                                                                       ubmatrix.xbrl.common.src.IXbrlDomain arcRole,
                                                                                       ubmatrix.xbrl.common.src.IXbrlDomain role,
                                                                                       java.lang.String language,
                                                                                       java.lang.String text,
                                                                                       java.lang.String title,
                                                                                       java.lang.String order)
                                                                                throws java.lang.Exception

  Crea un arc para un link

  Parameters:
    `linkDO` - objeto del dominio para el link
    `linkDts` - link dts
    `conceptDO` - el nodo final del arco
    `arcRole` - el rol del arco
    `role` - el rol del resoruce, por ejemplo, label, o documentación
    `language` - the langugage of the resource, eg: xml:lang="en"
    `text` - el label del texto
    `title` - título del arco
  Returns:
    Objeto del tipo IXbrlDomain
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD